VisualEditor: Whitespace corruption, HTML-like entities removed, and apparent DSR issues
Closed, ResolvedPublic

Description

Author: wmdv

Description:
I changed the word "you" to "your" by inserting an "r," in [[Gerrit/Tutorial]], but the edit summary said I inserted 10 characters, and the [https://www.mediawiki.org/w/index.php?title=Gerrit/Tutorial&diff=prev&oldid=732497 diff report] showed about 15 lines, with various things shifted around. I was using Chrom on Windows 8.

I reported this on the support page, and 88.130.86.210‎17:17, July 13, 2013 reverted my edit, and suggested I file a bug report. [https://www.mediawiki.org/wiki/Thread:Project:Support_desk/Extensive_diff_report. Support desk resolution.]

I have also been noticing that when a change comes up on my Wikipedia watch list, I sometimes have difficulty telling what an editor did, because the diff report is full of unmodified content.


Version: unspecified
Severity: normal
URL: https://www.mediawiki.org/wiki/Thread:Project:Support_desk/Extensive_diff_report%2E

bzimport added a project: VisualEditor-DataModel.Via ConduitNov 22 2014, 1:53 AM
bzimport set Reference to bz51304.
bzimport created this task.Via LegacyJul 14 2013, 1:22 AM
bzimport added a comment.Via ConduitJul 14 2013, 1:30 AM

wmdv wrote:

I am unable to enter the correct url, because it ends with a period, which seems to confuse bugzilla.

Ciencia_Al_Poder added a comment.Via ConduitJul 14 2013, 11:13 AM

Trying to manually encode the dot again... It didn't work even on the URL field.

https://www.mediawiki.org/wiki/Thread:Project:Support_desk/Extensive_diff_report%2E

Jdforrester-WMF added a comment.Via ConduitJul 14 2013, 3:48 PM

Very odd corruption; assigning.

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:26 AM
Jdforrester-WMF closed this task as "Resolved".Via WebJan 15 2015, 12:37 AM
Jdforrester-WMF claimed this task.

No ability to track this down and no recurrence in over a year; closing.

Jdforrester-WMF set Security to None.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.